Questions tagged [vim-plugin]

The Vim editor can be extended through the use of plugins.

Filter by
Sorted by
Tagged with
0
votes
0answers
43 views

YouCompleteMe - Path of file

I would like to know settings that disable showing the path after dash. It is disturbing and not necessary. I tried to search on google on YouCompleteMe doc, but unsuccessful. I have no idea which ...
0
votes
0answers
16 views

How to let ` be the circle suggestion key in youcompleteme plugin

I tried a lot to try to get it works, I set let g:ycm_key_list_select_completion = ['`', '<Down>'] and remove '':'' in auto-pairs as below, but the auto pairing still exists. let g:...
2
votes
1answer
57 views

Vim Vundle not allowing plugins to be installed due to errors

I have Ubuntu Studio 19.04 installed recently. I am trying to revive my installation of vim. I installed it thru apt-get, and and have installed Vundle. The problem is now, I have no useable plugins. ...
0
votes
0answers
66 views

Problem with install vimtex on ubuntu

I'm trying to install vimtex on Ubuntu. I had put the vimtex folder in ~/.vim/bundle When I open a .tex file in vim, it says that Compiler was not initialized I have texlive, it works when I ...
0
votes
3answers
331 views

use math.h function in linux ? sqrt() [closed]

why i can't run the program with sqrt (a) code : #include <stdio.h> 1 #include <math.h> 2 int main (...
0
votes
1answer
466 views

Ultisnips not working

I am a newbie in latex. I tried to install Ultisnips for reducing frustration. I installed it using vim-plug. However, it isn't working for some reason. Any help would be appreciated. Here is my ~/....
2
votes
1answer
2k views

vim-clang-format: clang-format is not found

I installed clang-format on Ubuntu 18.04 LTS with sudo apt install clang-format and the installation was successful. I can execute clang-format-6.0 now, but when I use ClangFormat in vim, it tells me ...
1
vote
0answers
134 views

How to properly use `vim-airline` package [duplicate]

After installation of the vim-airline and vim-airline-themes packages, what is the best way to use / activate them? I can manually copy the .vim-files over, but this defeats the purpose of package ...
0
votes
0answers
162 views

My vim does not support python3, how can I fix this [duplicate]

So I want jedi-vim to autocomplete to python3, I added autocmd FileType python set omnifunc=python3complete#Complete To my vimrc. Now if I try and autocomplete something in vim I get Error: ...
0
votes
1answer
298 views

vim plugin doesn't show in PlugInstall

I'm currently trying to customize my vim setup, which involves installing new plugins. So I've edited my ~/.vimrc in order to install those plugins: call plug#begin('~/.vim/plugin/bundle') ...
2
votes
1answer
4k views

Vundle installation fail?

I'm trying to install Vundle following the instruction from here , but when I use the command, vim +PluginInstall +qall terminal shows this: Error detected while processing /home/scorpion/.vimrc: ...
0
votes
1answer
443 views

Vim plugin, You Complete Me. Why does :YcmRestartServer hang?

I finally got you complete me installed. The plugin installed sucessfully. But didn't get auto complete as I typed.I looked at the help and tried :YcmRestartServer It hangs for several hours. I ...
0
votes
1answer
3k views

VIM,Vundle, You Complete me

I'm trying to use you complete me in vim. Here are the steps I've taken sudo apt-get install vim sudo apt-get install git sudo apt-get install clang-3.5 sudo git clone "https://github.com/...
6
votes
0answers
2k views

Installing vim latex-suite plugin?

I have installed vim-gtk and vim-addons-manager on my ubuntu 14.04, and also the latex-suite plugin. This I did with sudo apt-get install vim-latexsuite vim-addon-manager enable latex-suite which ...
1
vote
1answer
2k views

How to install Emmet (or any web development Plugins) for vim editor

I am trying to develop my Website but I am not interested on using graphical interfaces. I would like to use vim only. I went on this page http://www.vim.org/scripts/script.php?script_id=2981, but, I ...
2
votes
0answers
3k views

Install vim-latex on Ubuntu 15

I've tried to install vim-latex via: sudo apt-get install vim-latexsuite vim-addon-manager install latex-suite I have added to my .vimrc filetype plugin on let g:tex_flavor='latex' When I start ...
1
vote
2answers
234 views

Remove a tag using emmet plugin for vim

I have been using emmet for vim for some time now. Quite useful. I have used .class1>b>em to expand quite often. I have the following code: <li><b>Point 1</b></li> I just ...
1
vote
1answer
130 views

Clashing keybinding byobu and vdebug vim

I am using byobu as a window manager and am also using the 'joonty/vdebug' vim plugin as a debugger. In order to start the debugger the keybinding is F5 but inside byobu when I press F5 I get a ...
1
vote
1answer
1k views

Is there any Vim formatter plugin that support customized style?

Is there any autoformatter plugin for vim that support customized style? Like, adding space after parentheses, place curly brackets in current line and something like that? What I want to achieve is ...
1
vote
0answers
286 views

How do you configure vi/vim to do autocomplete for php on ubuntu 14?

I understand that there are a few solutions out there but I'm looking for the best solution available. I tried a few and wasn't successful. I need a tutorial from start to finish please. Thanks, Josh
12
votes
3answers
20k views

How to use vim-youcompleteme

I downloaded vim-youcompleteme from the software center in Ubuntu. But I don't know how to make it work. When I restarted vim and tested, nothing special occurred. And vim-syntastic is the same. Could ...
1
vote
1answer
3k views

Gnome-terminal vim gruvbox [closed]

Just installed gruvbox color scheme for Vim on Ubuntu, but the color scheme is not fully supported in the terminal. It works fine on a fedora box. Do I need any additional settings?
1
vote
1answer
2k views

Vundle - Plugins installed but not loading

I've installed vundle on my ubuntu box but when I load vim none of the plugins load. My .vimrc from my home directory [some commented lines edited out]: runtime! debian.vim set nocompatible ...
5
votes
5answers
25k views

No ~/.vim folder in ubuntu 13.04 where to go for it

I am trying to install different plug-ins in vim. I have installed vim using sudo apt-get install vim. But the downloaded files for these plug-ins need to be placed in ~/.vim folder. But there is no ...
18
votes
1answer
15k views

Having problem with fonts in vim-airline

I wanted to install vim-airline but I am having problems with unicode fonts. I have installed it with vundle: .vimrc set encoding=utf-8 Bundle 'bling/vim-airline' let g:airline_powerline_fonts = ...
2
votes
3answers
133 views

Problem selecting Vim version:

I use ubuntu 12.04. I want to install the latest version of Vim(7.3) with all its important plugins. So, which version of Vim should I install?: Vim or Vim-Gnome or Vim-athena or any other version? ...
0
votes
1answer
369 views

Is Vim-gnome FuzzyFinder plugin broken since Ubuntu 13.04?

After Ubuntu 13.04 installation I simply unzip an archive with all my gvim setup, ie. .vim/ .vim-fuf .viminfo .vimrc After doing a clean install of Ubuntu 13.04, I unzipped my Vim config as usual. ...
3
votes
1answer
2k views

How to make cursor change in different modes in vim?

How can I make Vim change cursor in different modes so that these conditions are satisfied: Without using gconftool or such tools. I need this affect only one instance of Vim, not the whole terminal. ...
2
votes
1answer
262 views

terminal vim colours broken on focuslost

My vim setup uses the csexact plugin to fix match the colors for color schemes that would normally only work in gvim. Everything works fine until gnome-terminal loses focus, and suddenly everything ...
2
votes
1answer
5k views

How can I fix GVim Window size?

This might not be a bug, but I've installed the Vim plugin package, spf13-vim. My GVim window looks like this screenshot, which seems too big: This might not be an issue with spf13-vim, since I've ...
3
votes
1answer
3k views

How do I use plugins in the vim-scripts package?

What is the correct way to include the plugins that are part of the vim-scripts package? Nothing from the vim-scripts folder seems to be included automatically. Plugins in /usr/share/vim/vim73 are ...
4
votes
1answer
1k views

How to setup and use the vim-rails plugin?

How do I setup and use the vim-rails plugin? I have installed it by running sudo apt-get install vim-rails. What do I do next to enable the plugin?
1
vote
2answers
4k views

How to install the taglist plugin in Vim?

I downloaded the taglist plugin and extracted it in my .vim folder. I also installed exuberant-ctags from Synaptic. I did :TlistToggle but it gives me the following message: /bin/bash: D:...